/* sys/stat.h: stat() routine and friends. */

#ifndef _SYS_STAT_H
#define _SYS_STAT_H

#include <bits/modes.h>
#include <sys/types.h>

#ifdef __cplusplus
extern "C"
{
#endif

    /* Create a directory. */
    int mkdir(const char* path, mode_t mode);

    /* Create a special file. */
    int mknod(const char* path, mode_t mode, dev_t dev);

#ifdef __cplusplus
}
#endif

#endif
