#pragma once
#include <luna/Result.h>

class Device
{
  public:
    virtual Result<usize> read(u8* buf, usize offset, usize length) const = 0;

    virtual Result<usize> write(const u8* buf, usize offset, usize length) = 0;

    virtual bool blocking() const = 0;

    virtual ~Device() = default;
};
